Skip to main content

NetBeans Version for WSIT in GlassFish

Posted by arungupta on January 11, 2007 at 9:46 PM PST

The NetBeans 5.5 IDE is tested with Sun
Java System Application Server PE 9.0 Update Release 1
or GlassFish
v1
. It also used to work with GlassFish
v2
but stopped doing so after b26
because of issue
90221
in NetBeans. A patch
has been applied to NetBeans 5.5.1 which can be downloaded from here
(select 5.5.1 from the "NetBeans Version" list box).

I downloaded NetBeans
5.5.1 dev build
, installed NetBeans
WSIT plug-in
available from the Update Center, and registered GlassFish
b31
instance following first
part
of the Flash demo. Then I built a Reliable Web Service and invoked it
using the second part
of the demo. Note that to install the WSIT plug-in from NetBeans Update Center,
"NetBeans Update Center Beta" checkbox has to be explicitly selected
as it is not the default option.

Look for the window title in the screen shots below which indicates NetBeans
5.5.1 dev build dated Jan 11th. And the GlassFish v2 b31 was promoted this
morning as well.

Fig 1: WSIT Plug-in installed in NetBeans 5.5.1 dev build

Fig 2: GlassFish
v2 b31
configured in NetBeans 5.5.1 dev build

Fig 3: Reliable Endpoint Deployed in NetBeans 5.5.1 dev build

Fig 4: Reliable Client invoked from NetBeans 5.5.1 dev build

Look at the last TerminateSequence SOAP message in
the output log window terminating the reliable sequence.

In short, if you want to use build a .NET 3.0 interoperable reliable secure
Web service, use NetBeans
5.5.1 dev build
, GlassFish
v2 b31
and NetBeans WSIT plug-in
(from Update Center) and follow the two part (part
1
and part 2)
interactive demo .

Technorati: NetBeans GlassFish
WSIT

Related Topics >>